package com.gh.gamecenter.feedback.provider

import android.content.Context
import android.content.Intent
import com.alibaba.android.arouter.facade.annotation.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IWebProvider

@Route(path = RouteConsts.provider.webActivity, name = "WebActivity暴露服务")
class WebProviderImpl : IWebProvider {
    override fun getIntent(context: Context, url: String, autoCompletionTitle: Boolean): Intent? {
        return null
    }

    override fun getWebIntent(context: Context, title: String, url: String): Intent? {
        return null
    }

    override fun getBindWechatIntent(context: Context): Intent? {
        return null
    }

    override fun getSecurityCertificationIntent(context: Context): Intent? {
        return null
    }

    override fun getQAIntent(
        context: Context?,
        url: String?,
        title: String?,
        isWebPageHandleBackPressed: Boolean,
        qaType: Int
    ): Intent? {
        return null
    }

    override fun init(context: Context?) {
        // Do nothing
    }
}